I have an Imac OS 8.5, and I need MSN.

November 21, 2010 at 17:38:32
Specs: Macintosh PowerPC
Something that I can download with no problems , and will work for hotmail email adresses.

See More: I have an Imac OS 8.5, and I need MSN.

Report •

#1
November 22, 2010 at 00:40:28
I believe that since going to Microsoft Live, the earliert Mac OS is OS X 10.4 with FireFox 3.5, good luck in your endevour.

http://lowendmac.com/thompson/05/12...


Report •
Related Solutions


Ask Question